columns:
  anciennete_anterieure_calculee_jours:
    type: bigint
    default: "0"
  anciennete_anterieure_calculee_mois:
    type: bigint
    default: "0"
  anciennete_anterieure_jours:
    type: numeric
    default: "0"
  anciennete_anterieure_mois:
    type: bigint
    default: "0"
  anciennete_reprise_anterieure_jours:
    type: numeric
    default: "0"
  anciennete_reprise_anterieure_calculee_mois:
    type: bigint
    default: "0"
  code_original:
    type: text
    not_null: NOT NULL
  date_debut:
    type: date
  date_fin:
    type: date
  etablissement_id:
    type: bigint
    comment: |
      Etablissement principal.
      Le salarié peut être affecté à plusieurs établissements de manière simultanée ou séquentielle tout en ayant un seul et même contrat de travail.
  numero_contrat:
    type: text
    default: "''::character varying"
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_contrats'::regclass)"
  pole_id:
    type: bigint
    default: "0"
  population_id:
    type: 'bigint[]'
  profil_id:
    type: bigint
  salarie_id:
    type: bigint
  salarie_remplace_id:
    type: bigint
constraints:
  p_contrats_pkey:
    type: PRIMARY KEY
    column: oid
  p_contrats_ukey:
    type: UNIQUE
    column: code_original
indexes:
  i_contrats_1:
    column: salarie_id
    method: btree
  i_contrats_2:
    column: etablissement_id
    method: btree